<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */
?>

<footer class="footer-area" id="footer">
	<div class="footer-oly"></div>
	<?php
        // width 
        $c_width = get_theme_mod('footer_c_width', 'container');

        if ($c_width === 'container') {
            $c_alignment = 'container';
        } elseif ($c_width === 'container-fluid') {
            $c_alignment = 'container-fluid';
        } else {
            $text_alignment = 'container'; // Default to 'container' if the setting is invalid
        }
            
    ?> 
	<?php
		$footercopyright = get_theme_mod('footer_area_copyrighttext', 'Copyright 2025 by @SolarServices All rights Reserved.');

	?>

	<?php if(is_active_sidebar('luzuk-footer1') || is_active_sidebar('luzuk-footer2') || is_active_sidebar('luzuk-footer3') || is_active_sidebar('luzuk-footer4') || is_active_sidebar('luzuk-footer5') ){ ?>
		<div class="<?php echo esc_attr($c_width); ?>"> 
			<div class="fbox">
				<div class="row mr-0"> 				
					<div class="s-footer single-footer-1 ">
						<div class="single-footer " data-wow-duration="1s">	
							<?php if(is_active_sidebar('luzuk-footer1')): 
									dynamic_sidebar('luzuk-footer1');
								endif;
							?>	
						</div>
					</div> 
						
					<div class="s-footer single-footer-2">
						<div class="single-footer " data-wow-duration="1.5s" >
							<?php if(is_active_sidebar('luzuk-footer2')): 
								dynamic_sidebar('luzuk-footer2');
							endif;
							?>	
							
						</div>
					</div>
						
					<div class="s-footer single-footer-3 ">
						<div class="single-footer "  data-wow-duration="1.4s" >
							<?php if(is_active_sidebar('luzuk-footer3')): 
								dynamic_sidebar('luzuk-footer3');
							endif;
							?>	
						</div>
					</div>
					
					<div class="s-footer single-footer-4 " >
						<div class="single-footer " data-wow-duration="1.8s" >
							<?php if(is_active_sidebar('luzuk-footer4')): 
								dynamic_sidebar('luzuk-footer4');
							endif;
							?>	
						</div>
					</div>
				</div> 
				<?php if( $footercopyright  ){ ?>
				<div class="bottom-area " >
					<div class="footer-text">
						<?php if($footercopyright){ ?>
								<?php echo $footercopyright;?>
						<?php } ?>
					</div>
				</div>
				<?php } ?>
			</div>
			<div class="clearfix"></div>
		</div> 
	<?php } ?>
</footer>

<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>

<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script> 

<?php wp_footer(); ?>

	<!-- <a id="back2Top" title="Back to top" href="#"> &#10148; </a> -->
	<div id="back2Top" title="Back to top" >
<svg  xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none">
  <path d="M4 3.71v16.58a.7 .7 0 0 0 1.05 .606l14.622 -8.42a.55 .55 0 0 0 0 -.953l-14.622 -8.419a.7 .7 0 0 0 -1.05 .607z" />
  <path d="M15 9l-10.5 11.5" />
  <path d="M4.5 3.5l10.5 11.5" />
</svg>


		<!-- <span class="circle">
		    <i class="fa fa-bolt" aria-hidden="true"></i>
		  </span>
  		<span class="movepulse"></span> -->
	</div>

</body>
</html>
